package com.xunhong.erp.turbo.api.user.api;

import com.xunhong.erp.turbo.api.facade.dto.qry.WxMaOpenidQry;
import com.xunhong.erp.turbo.api.user.dto.cmd.*;
import com.xunhong.erp.turbo.api.user.dto.qry.UserListQry;
import com.xunhong.erp.turbo.api.user.dto.qry.UserPageQry;
import com.xunhong.erp.turbo.api.user.dto.qry.UserShowQry;
import com.xunhong.erp.turbo.api.user.dto.vo.UserVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface UserServiceI {
	UserVO show(UserShowQry userShowQry);

	UserVO update(UserUpdateCmd userUpdateCmd);

	PageDTO<UserVO> page(UserPageQry userPageQry);

	UserVO create(UserCreateCmd userCreateCmd);

	void destroy(UserDestroyCmd userDestroyCmd);

	List<UserVO> list(UserListQry userListQry);

	void disable(UserDisableCmd userDisableCmd);

	void enable(UserEnableCmd userEnableCmd);

	void unsubscribe(WxMaOpenidQry wxMaOpenidQry);
}
